For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
DocumentationAPI ReferenceChangelog
DocumentationAPI ReferenceChangelog
  • API Reference
      • GETGet Research Objects
      • POSTCreate a Research Object
      • GETGet a Research Object
      • GETGet Research Files
      • POSTCreate a Research File
      • GETGet Research Result Content
      • POSTCreate a Research Object via x402
API ReferenceResearch

Create a Research Object

POST
https://api.caesar.xyz/research
POST
/research
$curl -X POST https://api.caesar.xyz/research \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "query": "What are the latest advancements in renewable energy technologies?"
>}'
1{
2 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
3 "status": "queued"
4}
Start a new research job using a query and optional file IDs.
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
querystringRequired
Primary research question or instruction.
fileslist of stringsOptional
IDs of previously uploaded files to include.
compute_unitsintegerOptional1-10Defaults to 1
Optional compute budget for the job. Defaults to 1.
system_promptstringOptional
Optional system prompt to steer the assistant.

Response

Research job accepted.
idstringformat: "uuid"
Research job identifier.
statusenum
Current status of the research job.

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error
500
Internal Server Error